using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public class ByObjectClassFilter : WorldObjectCollectionFilter
{
	private ObjectClass objClass;

	public ObjectClass ObjectClass
	{
		get
		{
			return objClass;
		}
		set
		{
			objClass = value;
		}
	}

	public ByObjectClassFilter()
	{
	}

	public ByObjectClassFilter(ObjectClass objClass)
	{
		this.objClass = objClass;
	}

	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByObjectClass((eObjectClass)objClass);
	}

	internal override void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		ven.ByObjectClass((eObjectClass)objClass);
	}
}
